Search databases

Returns a list of databases hosted on the specified SQL Server instance.

This operation supports response filtering based the value of a subset of properties. Depending on the property, you may use a combination of comparison operators, list operators, and logical operators. To learn more, see Response Filtering.

Path Params
int64
required

ID of a manager SQL Server instance on Data Bridge.

Query Params
string

Query string to select response data based on property values.

Supported properties: databaseId, databaseName, databaseType, databaseVersion. Operators depend on the data type of the property.

PropertyData TypeComparisonList
databaseIdNumber=, !=IN, NOT IN
databaseNameString=, !=, LIKE, NOT LIKEIN, NOT IN
databaseTypeString=, !=IN, NOT IN
databaseVersionString=, !=, LIKE, NOT LIKEIN, NOT IN

Use the AND and OR logical operators to defined compound queries. See Filtering Responses.

string
Defaults to databaseName ASC

Comma-delimited list of properties. Sort order defined by one of ASC (ascending) or DESC (descending).

Supported properties: databaseName, databaseType, databaseVersion See Response Pagination.

int32
1 to 1000
Defaults to 100

Number of records returned per page. See Response Pagination

int32
Defaults to 0

Number of the page displaying the returned records, starting at 0

Responses

Language
Credentials
URL
Response
Choose an example:
application/json